For the complete documentation index, see llms.txt. This page is also available as Markdown.

Prompts

List Prompts

post

Questions are the AI prompts that can be asked about a brand. They are used to get AI answers with citations and mentions.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
brand_kit_idintegerRequired

The Brand Kit ID

Body
brand_kit_idintegerRequired

The ID of the Brand Kit

start_datestringOptional

Start date for metrics (ISO 8601). Defaults to 1 month ago.

end_datestringOptional

End date for metrics (ISO 8601). Defaults to today.

personasinteger[]Optional

Filter metrics by persona IDs

sortstring · enumOptional

Sort field. Prefix with - for descending.

Available sort fields:

  • text/-text: Sort alphabetically by prompt text
  • created_at/-created_at: Sort by creation date
  • prompt_volume/-prompt_volume: Sort by prompt volume level
  • mention_rate/-mention_rate: Sort by mention rate
  • positive_answer_rate/-positive_answer_rate: Sort by positive answer rate
  • citation_rate/-citation_rate: Sort by citation rate
Possible values:
pageintegerOptional

Page number

Default: 1
per_pageinteger · max: 100Optional

Items per page

Default: 25
Responses
200

Successful response

application/json
post/public_api/brand_kits/{brand_kit_id}/prompts/list
POST /public_api/brand_kits/{brand_kit_id}/prompts/list HTTP/1.1
Host: api.airops.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 288

{
  "brand_kit_id": 1,
  "tags": {
    "operator": "IN",
    "value": [
      1
    ]
  },
  "start_date": "text",
  "end_date": "text",
  "providers": [
    "chat_gpt"
  ],
  "countries": [
    "AE"
  ],
  "personas": [
    1
  ],
  "filters": [
    {
      "field": "text",
      "operator": "EQUALS",
      "value": null
    }
  ],
  "includes": [
    "topic"
  ],
  "fields": [
    "id"
  ],
  "sort": "text",
  "page": 1,
  "per_page": 25
}
{
  "data": [
    {
      "id": 1,
      "text": "text",
      "keyword": "text",
      "brand_mentioned": true,
      "prompt_volume": "very_low",
      "search_volume": 1,
      "topic_id": 1,
      "created_at": "text",
      "updated_at": "text",
      "mention_rate": 1,
      "positive_answer_rate": 1,
      "citation_rate": 1,
      "mention_rate_trend": 1,
      "positive_answer_rate_trend": 1,
      "citation_rate_trend": 1,
      "query_fanouts": [
        {}
      ],
      "countries": [
        "text"
      ],
      "persona_ids": [
        1
      ],
      "platforms": [
        "text"
      ],
      "est_answers_mo": 1,
      "topic": {},
      "tags": [
        {}
      ]
    }
  ],
  "meta": {
    "page": 1,
    "per_page": 1,
    "total_count": 1,
    "total_pages": 1
  }
}

Get Prompt

get

Questions are the AI prompts that can be asked about a brand. They are used to get AI answers with citations and mentions.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
brand_kit_idintegerRequired

The Brand Kit ID

idintegerRequired

The resource ID

Responses
200

Successful response

application/json
get/public_api/brand_kits/{brand_kit_id}/prompts/{id}
GET /public_api/brand_kits/{brand_kit_id}/prompts/{id} HTTP/1.1
Host: api.airops.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": {
    "id": 1,
    "text": "text",
    "keyword": "text",
    "brand_mentioned": true,
    "prompt_volume": "very_low",
    "search_volume": 1,
    "topic_id": 1,
    "created_at": "text",
    "updated_at": "text",
    "mention_rate": 1,
    "positive_answer_rate": 1,
    "citation_rate": 1,
    "mention_rate_trend": 1,
    "positive_answer_rate_trend": 1,
    "citation_rate_trend": 1,
    "query_fanouts": [
      {}
    ],
    "countries": [
      "text"
    ],
    "persona_ids": [
      1
    ],
    "platforms": [
      "text"
    ],
    "est_answers_mo": 1,
    "topic": {},
    "tags": [
      {}
    ]
  }
}

Last updated

Was this helpful?